osgSim::ScalarsToColors Class Reference

`#include <ScalarsToColors>`

Inheritance diagram for osgSim::ScalarsToColors:

## Public Member Functions

| ScalarsToColors (float scalarMin, float scalarMax)
virtual | ~ScalarsToColors ()
virtual osg::Vec4 | getColor (float scalar) const
float | getMin () const
float | getMax () const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Detailed Description

ScalarsToColors defines the interface to map a scalar value to a color, and provides a default implementation of the mapping functionaltity, with colors ranging from black to white across the min - max scalar range.

## Constructor & Destructor Documentation

## ScalarsToColors()

osgSim::ScalarsToColors::ScalarsToColors | ( | float | scalarMin,
|  | float | scalarMax )

## ~ScalarsToColors()

virtual osgSim::ScalarsToColors::~ScalarsToColors | ( |  | ) |

inline virtual

## Member Function Documentation

## getColor()

virtual osg::Vec4 osgSim::ScalarsToColors::getColor | ( | float | scalar | ) | const

virtual

Get the color for a given scalar value.

Reimplemented in osgSim::ColorRange.

## getMax()

float osgSim::ScalarsToColors::getMax | ( |  | ) | const

Get the maximum scalar value.

## getMin()

float osgSim::ScalarsToColors::getMin | ( |  | ) | const

Get the minimum scalar value.

The documentation for this class was generated from the following file:

- ScalarsToColors